Get Currencies
curl --request GET \
--url https://api.copper.co/platform/currenciesimport requests
url = "https://api.copper.co/platform/currencies"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.copper.co/platform/currencies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.copper.co/platform/currencies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.copper.co/platform/currencies"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.copper.co/platform/currencies")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.copper.co/platform/currencies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"currencies": [
{
"currency": "<string>",
"mainCurrency": "<string>",
"name": "<string>",
"confirmations": "<string>",
"crossChainNetworks": [
"<string>"
],
"decimal": "<string>",
"extra": {},
"fiat": true,
"networkName": "<string>",
"protocol": "<string>",
"stableCoin": true,
"tags": [
"deposit-custody"
]
}
]
}{
"error": "bad-request",
"message": "<string>"
}{
"error": "forbidden",
"message": "<string>"
}{
"error": "conflict",
"message": "<string>"
}currencies
Get Currencies
GET
/
currencies
Get Currencies
curl --request GET \
--url https://api.copper.co/platform/currenciesimport requests
url = "https://api.copper.co/platform/currencies"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.copper.co/platform/currencies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.copper.co/platform/currencies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.copper.co/platform/currencies"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.copper.co/platform/currencies")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.copper.co/platform/currencies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"currencies": [
{
"currency": "<string>",
"mainCurrency": "<string>",
"name": "<string>",
"confirmations": "<string>",
"crossChainNetworks": [
"<string>"
],
"decimal": "<string>",
"extra": {},
"fiat": true,
"networkName": "<string>",
"protocol": "<string>",
"stableCoin": true,
"tags": [
"deposit-custody"
]
}
]
}{
"error": "bad-request",
"message": "<string>"
}{
"error": "forbidden",
"message": "<string>"
}{
"error": "conflict",
"message": "<string>"
}Query Parameters
Filter by currency tags. See details
Available options:
deposit-custody, deposit-trading-vault, deposit-trading, deposit-external, withdraw-custody, withdraw-trading-vault, withdraw-trading, withdraw-external, show-custody, show-trading-vault, show-trading, show-external, show-clearloop, defi-allowed Was this page helpful?